[Cocci] Need help compiling coccinelle on Ubuntu 16.04

Julia Lawall julia.lawall at lip6.fr
Sat May 19 17:57:52 CEST 2018



On Sat, 19 May 2018, Patrick Doyle wrote:

> On Sat, May 19, 2018 at 1:36 AM, Julia Lawall <julia.lawall at lip6.fr> wrote:
> > On Wed, 16 May 2018, Patrick Doyle wrote:
> >
> >> I just tried compiling coccinelle on a Ubuntu 16.04 system, having
> >> installed all the dependencies that seem to make sense, and it fails
> >> to compile.
> >
> > I had this problem and then somehow it disappeared...  I think that
> > somehow it is supposed to be giving a warning, but not actually failing.
> > But it does really look like it fails.  We will look into it.
> >
> > Julia
> Thank you Julia,
> I think you are correct.  When I looked more closely at the error
> message, I saw that make ignored the failure code, and indeed, when I
> attempted to run my application that relies upon spach > 1.0.6 (the
> Linux backports tool), it appears to have worked.

That's great!  Sorry that the output is so misleading...

julia

>
> Sorry for the spam... I had reached the point where one too many
> things were going wrong and decided to just stop and ask for some
> help.
>
> Thanks again.
>
> --wpd
>


More information about the Cocci mailing list